/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: shader.cpp,v 1.1.1.1 1999/09/09 23:48:42 iamcliff Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include "include/config.h"
#include <GL/gl.h>
#include <GL/glu.h>

#include "shader.h"


G3DARibShader::~G3DARibShader()
{
}

void
G3DARibShader::activate( void ) const
{
  //simulate surface with OpenGL 
}

G3DAttribute*
G3DARibShader::copy( void ) const
{
  return( new G3DARibShader(*this) );
}


Field G3DARibShader::FieldList_[1];

const Field*
G3DARibShader::getFieldList( void ) const
{
  return( FieldList_ );
}

uint
G3DARibShader::getParameter( Param *pList )
{
  if( pList )
    {
    }
  return( 0 );
}

const char*
G3DARibShader::GetTypeName( void )
{
  return( "RibShader" );
}

const char*
G3DARibShader::getTypeName( void ) const
{
  return( G3DARibShader::GetTypeName() );
}

void
G3DARibShader::setValues( const G3DAttribute *src )
{
  if( src->getType() == type_ )
    {
    }
}


//==================================END================================
