/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: attribute.cpp,v 1.2 2002/06/17 18:18:14 ainvar Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include "include/config.h"

#include <GL/gl.h>
#include <GL/glu.h>

#include "attribute.h"



G3DAttribute::~G3DAttribute()
{
}

void
G3DAttribute::activate () const
{
}

/*
G3DAttribute*
G3DAttribute::copy () const
{
  return( NULL );
}
*/
void
G3DAttribute::dispose ()
{
  --refCount_;
  if( refCount_ <= 0 )
    delete this;
}

const G3DAttribute*
G3DAttribute::getReference () const
{
  return this;
}

bool
G3DAttribute::isInheritable ()
{
  return false;
}

void
G3DAttribute::setParameter( const Param* )
{
}


//==================================END================================
