/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: w_coord.h,v 1.3 2001/04/01 09:42:28 ainvar Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __COORD_WIDGET_H_
#define __COORD_WIDGET_H_

#include "widget.h"


/// A Widget that draws the axes of the local coordinate system.
class G3DCoordinateWidget : public G3DWidget
{
public:
  /// Constructor taking the parent object as argument.
  G3DCoordinateWidget ( G3DObject* );
  
  /// Display an object on the screen.
  /**Display the object on the screen. This will issue the necessary OGL 
     commands.
  */
  virtual void display ( int& ) const;
};

#endif
