/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: listview.h,v 1.1.1.1 1999/09/09 23:50:49 iamcliff Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */



#ifndef _ME_LISTVIEW_H_
#define _ME_LISTVIEW_H_

#include "include/config.h"
#include <qlistview.h>


/**A tree view that makes it possible to receive keyboard events in the
   parent widget.
 */
class MEListView : public QListView
{
public:
  MEListView( QWidget *p );

protected:
  virtual void keyPressEvent( QKeyEvent *e );
};


#endif
