/*
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * Atuhor(s): M. van Velsen
 * 
 * $Id: viewLayout.h,v 1.1.1.1 1999/09/09 23:51:35 iamcliff Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */ 

#ifndef _VIEW_LAYOUT_H_
#define _VIEW_LAYOUT_H_

#include <qdialog.h>


/**A Dialog which displays the possible layouts of the viewport of
   the 3d modeler. The user can choose one.
 */
class MEViewlayoutDialog : public QDialog
{
  Q_OBJECT

public:
  MEViewlayoutDialog( int ); // MViewPortLayout* );

signals:
  void setLayout(int);

protected slots:
  void closeIt();
  void selectLayout(int);

protected:
  int             selected_;
};

#endif
