#ifndef _CAMERA_LIST_H_
#define _CAMERA_LIST_H_

#include <vector>

class MWorldObject;
class G3DCamera;

template<class T>
class MeTypedVector : public vector<void*>
{
public:
  T*  operator[](int i ) { return (T*)(vector<void*>::operator[](i)); }
};

typedef MeTypedVector<MWorldObject> MWorldList;
typedef MeTypedVector<G3DCamera>    MCameraList;

#endif
