#ifndef LINE
#define LINE

#include "vector.hh"

class Line
{
public:
  Line () { start = Vector(0,0,0), direction = Vector(0,0,1); }
  Line ( const Vector& s, const Vector& d ) { start = s, direction = d; }

  void set_start ( const Vector& s ) { start = s; }
  void set_direction ( const Vector& d ) { direction = d; }
  void set_start_and_direction ( const Vector& s, const Vector& d ) { 
    start=s, direction=d; 
  }

  const Vector& get_start () const { return start; }
  const Vector& get_direction () const { return direction; }
  
protected:
  Vector start, direction;

private:
};

#endif
