#ifndef LIST
#define LIST

#include "defines.hh"

class List
{
 public:
  List () { child = parent = 0; }
  List ( List* p );
  virtual ~List ();
  
  void set_parent ( List *p );
  void set_child ( List *p );
  List* get_parent () { return parent; }
  List* get_child () { return child; }
    
  List* find_head ();
  List* find_tail ();
  void unlink ();
  
  int members ();
  
  void full_dump ();
protected:

private:
  List *parent, *child;
  int members_(void);  
};

void merge ( List *a, List *b );
void destroy_list ( List *l );

#endif
