#ifndef OBJECT
#define OBJECT

#include "list.hh"
#include "line.hh"
#include "rgb.hh"
#include "texture.hh"

class Object : public List
{
public:
  Object ();
  virtual ~Object ();
  
  Vector intersection ( const Line& line ) const;
  virtual bool inside () const;
  
  Surface get_surface ();
  Texture *texture;
  
protected:
  virtual Vector normal () const;
  virtual Vector _intersection ( const Line& line ) const;

  Vector *lip; // Last Intersection Point
private:
};

#endif
