#ifndef TEXTURE
#define TEXTURE

#include "surface.hh"

class Texture
{
public:
  Texture ();
  
  // Finds the overall texture ready for scene2.cc to use
  Surface get_surface ( const Vector& pos );

  // Finds the overall texture ready for more textures to be applied
  Surface get_surface_ ( const Vector& pos );

  Texture *master, *slave;
  
protected:
  // Finds this texture only
  virtual Surface _get_surface ( const Vector& pos ) const;

private:
};

#endif
