
# This file is part of MindsEye
#
# MindsEye is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# MindsEye is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MindsEye; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#

#VPATH		= @srcdir@
srcdir		= @srcdir@

prefix		= @prefix@
exec_prefix	= @exec_prefix@
bindir		= @bindir@
datadir		= @datadir@
INSTALL		= @INSTALL@
INSTALL_DATA	= @INSTALL_DATA@

INCDIR		= @CPPFLAGS@  -I../ -I../.. -I../../3dlib
LIBS		= @QT_LIBS@ @GL_LIBS@ @X_PRE_LIBS@ -lX11 \
		   @X_EXTRA_LIBS@ @LIBS@
DEFS		= @DEFS@ 
CXXFLAGS	= @CXXFLAGS@ $(INCDIR) @X_CFLAGS@ @QT_CFLAGS@ \
		   @GL_CFLAGS@ $(DEFS)
CFLAGS		= $(INCDIR) @CFLAGS@  @X_CFLAGS@ @GL_CFLAGS@ $(DEFS)
LFLAGS		= @LDFLAGS@ @X_LIBS@ $(LIBS)

CXX		= @CXX@
CC		= @CC@
MOC		= @MOC@
SHELL		= /bin/sh
MKDIRHIER	= @MKDIRHIER@
LN_S		= @LN_S@

# additional 'makeflags' below


######## Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $<

.c.o:
	$(CC) -c $(CFLAGS) $<


######## Files

OBJECTS = ../io_base.o

TARGET  = libribio.a


#
########### Build rules
#

all: test

$(TARGET): $(OBJECTS)
	ar -rs $(TARGET) $(OBJECTS)

test: test.o $(OBJECTS)
	$(CXX) -o test $^ $(LFLAGS)

clean:
	-rm -f *.o *~

moreclean: clean
	-rm -f $(TARGET)

# DO NOT DELETE THIS LINE -- make depend depends on it.
