/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: cnt_orbit.h,v 1.1.1.1 1999/09/09 23:50:23 iamcliff Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * basic attribute classes
 *
 */

#ifndef __CNT_ORBIT_H_
#define __CNT_ORBIT_H_

#include "3dlib/g3d_math.h"
#include "3dlib/t_fields.h"
#include "3dlib/t_objects.h"


/**
 */
class G3DCntOrbit : public G3DAConstraint
{
 public:
  G3DCntOrbit();
  virtual void evaluate( G3DObject* );

 protected:
  G3DPoint3d  anchor_;
  G3DVector3d radius_;
  int         mode_;  //fixed size
};


#endif
