/*
 * Project : MindsEye, algorithms
 * Copyright (c) 1996 - 1998
 * Author(s): M. van Velsen, M. Kuball
 * 
 * $Id: algorithm.h,v 1.1.1.1 1999/09/09 23:57:21 iamcliff Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * A function to convert a box into a quad mesh. The parameter sx, sy, sz
 * set the number of quads in each direction.
 */

#ifndef _ALGORITHM_H_
#define _ALGORITHM_H_

class G3DObject;

extern G3DObject* createMeshFromBox( G3DObject*, uint sx, uint sy, uint sz );


#endif

