/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: factories.h,v 1.1.1.1 1999/09/09 23:57:37 iamcliff Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _FACTORIES_H_
#define _FACTORIES_H_

class QFrame;
class QWidget;

extern void createMaterialWidget( vector<void*>*, QWidget* );

extern void createConeWidget( vector<void*>*, QWidget* );
extern void createMeshWidget( vector<void*>*, QWidget* );
extern void createPolygonWidget( vector<void*>*, QWidget* );
extern void createSceneInfo( vector<void*>*, QWidget* );
extern void createSphereWidget( vector<void*>*, QWidget* );
extern void createTorusWidget( vector<void*>*, QWidget* );
extern void createTrigridWidget( vector<void*>*, QWidget* );

extern void createLightWidget( vector<void*>*, QWidget* );
extern void createPLightWidget( vector<void*>*, QWidget* );

extern void createAnimationWidget( vector<void*>*, QWidget* );
extern void createSpinWidget( vector<void*>*, QWidget* );
extern void createUrlWidget( vector<void*>*, QWidget* );

#endif



