//occtestwidget.h

// (C) 2000  C R Johnson   iamcliff@ix.netcom.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU  General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//                                                                
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details. 
//                                      
// You should have received a copy of the GNU General Public License 
// along with this software (see COPYING); if not, write to the 
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef OCCTESTWIDGET_H
#define OCCTESTWIDGET_H

#include <qapplication.h>
#include "../kernel/module.h"

class OccTestViewer;

class OccTestWidget : public MEModule
{
public:
    OccTestWidget( int module_id ,int parent=0 , const char *name=0 );
public:
private:
	QPushButton *closeb;
	QPushButton *fun1;
	QPushButton *fun2;
	QPushButton *fun3;
	QPushButton *fun4;
	QPushButton *fun5;
	QPushButton *fun6;
	QPushButton *fun7;

	OccTestViewer* occTestViewer;

protected:
	virtual void resizeEvent( QResizeEvent * );

};

#endif
