/*
 * Project : "MindsEye, render queue"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: smpte-time.h,v 1.1.1.1 1999/09/09 23:58:49 iamcliff Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __SMPTE_TIME_H_
#define __SMPTE_TIME_H_


/**
 */
class SmpteTime
{
public:
  SmpteTime( const char*, int fps );

  void  convert2char( char* );  //TODO size of buffer?
  float convert2seconds( int ) const;
  SmpteTime& operator=( const SmpteTime& );
  bool       operator!=( const SmpteTime& ) const;
  bool       operator>( const SmpteTime& ) const;

protected:
  int   seconds_;
  int   frames_;
};


#endif
