#ifndef PLANE
#define PLANE

#include "object.hh"

class Plane : public Object
{
public:
  Plane ();
  Plane ( const Vector& nor, double off );
  virtual ~Plane ();
  
  virtual bool inside () const;
  
  void set_normal ( const Vector& nor ) { norm = nor; }
  void set_offset ( double off ) { offset = off; }
  const Vector& get_normal () { return norm; }
  double get_offset () { return offset; }
  
protected:
  virtual Vector _intersection ( const Line& line ) const;
  virtual Vector normal () const;

  Vector norm;
  double offset;
  bool *ins;

private:
};

#endif
