#ifndef RAY
#define RAY

#include "line.hh"

class Ray : public Line
{
public:
  Ray () : significance(0), ior(1.0) {}

  void set_significance ( double sig ) { significance = sig; }
  void set_ior ( double i )            { ior = i; }
  
  double get_significance ()           { return significance; }
  double get_ior ()                    { return ior; }

protected:
  double significance, ior;
   
 private:
};

#endif
